Problem Classifications - Get
Krijg details over probleemclassificatie voor een specifieke Azure-service.
GET https://management.azure.com/providers/Microsoft.Support/services/{serviceName}/problemClassifications/{problemClassificationName}?api-version=2024-04-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
problem
|
path | True |
string |
Naam van probleemclassificatie. |
|
service
|
path | True |
string |
Naam van de Azure-service. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-bewerking is voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Gets details of problemClassification for Azure service
Voorbeeldaanvraag
GET https://management.azure.com/providers/Microsoft.Support/services/service_guid/problemClassifications/problemClassification_guid?api-version=2024-04-01
Voorbeeldrespons
{
"name": "problemClassification_guid",
"type": "Microsoft.Support/problemClassifications",
"id": "/providers/Microsoft.Support/services/service_guid/problemClassifications/problemClassification_guid",
"properties": {
"displayName": "Reservation Management / Exchanges and Refunds"
}
}
Definities
| Name | Description |
|---|---|
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Problem |
ProblemClassification-resourceobject. |
|
Secondary |
Deze eigenschap geeft aan of secundaire toestemming aanwezig is voor probleemclassificatie. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
ProblemClassification
ProblemClassification-resourceobject.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| name |
string |
De naam van de resource |
| properties.displayName |
string |
Gelokaliseerde naam van probleemclassificatie. |
| properties.secondaryConsentEnabled |
Deze eigenschap geeft aan of secundaire toestemming aanwezig is voor probleemclassificatie |
|
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| type |
string |
Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
SecondaryConsentEnabled
Deze eigenschap geeft aan of secundaire toestemming aanwezig is voor probleemclassificatie.
| Name | Type | Description |
|---|---|---|
| description |
string |
Beschrijving van gebruikerstoestemming. |
| type |
string |
De Azure-service waarvoor secundaire toestemming nodig is voor het maken van aanvragen. |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |